%define		php_name	php%{?php_suffix}
%define		modname	spidermonkey
%define		status		stable
Summary:	%{modname} - Spidermonkey JavaScript engine for PHP
Summary(pl.UTF-8):	%{modname} - silnik JavaScript Spidermonkey dla PHP
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.0
Release:	6
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	1a7a4043fa6c86bb7e3cb24e794c284b
Patch0:		lib64.patch
Patch1:		libx32.patch
Patch2:		js187.patch
URL:		http://pecl.php.net/package/spidermonkey
BuildRequires:	%{php_name}-devel >= 4:5.3.0
BuildRequires:	js187-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-spidermonkey < 1.0.0-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allow you to embed Mozilla's Javascript engine
Spidermonkey in PHP.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
To rozszerzenie pozwala na osadzanie w PHP silnika Javascript Mozilli
- Spidermonkey.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -c
%ifarch %{x8664}
%patch0 -p1
%endif
%ifarch x32
%patch1 -p1
%endif
%patch2 -p1
mv %{modname}-%{version}/* .

%build
# libtool 2.2 build fix
if [ -f '%{_aclocaldir}/ltsugar.m4' ]; then
	cat "%{_aclocaldir}/ltsugar.m4" >> "config.m4"
	cat "%{_aclocaldir}/ltversion.m4" >> "config.m4"
	cat "%{_aclocaldir}/lt~obsolete.m4" >> "config.m4"
	cat "%{_aclocaldir}/ltoptions.m4" >> "config.m4"
fi

phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Aug 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-spidermonkey.git;a=log;h=master

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> 08b8fb4
- rel 6

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> 9b15ca6
- fix libdir on x32
- fix building with js187

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> bba10d3
- bump js BR to 187

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 87f64db
- obsolete old php name
- release 5 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 62980fd
- php 5.5 rebuild
- release 4 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> e394ccd
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> fda7fa7
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 73d627e
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Wed Aug 08 2012 Jan Rękorajski <baggins@pld-linux.org> b1d675f
- Fix build on x86_64
Release 1

* Wed Aug 08 2012 Jan Rękorajski <baggins@pld-linux.org> efdb8c8
- Status is 'stable'

* Wed Aug 08 2012 Jan Rękorajski <baggins@pld-linux.org> d3d29ec
- js185 is required

* Tue Aug 07 2012 Jan Rękorajski <baggins@pld-linux.org> 81b55bb
- Updated to 1.0.0

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> dc6dc6b
- release 2 (by relup.sh)

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> 72ad22e
- updated to 0.1.4, proper summary

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> ba46137
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> ab1f518
- subdir drop (plz use template-*.spec for new spec creation)

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> 1a343cf
- php epoch

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> 49b9125
- js 1.7.0+ needed

* Sat Mar 14 2009 zergin <zergin@pld-linux.org> 7cefa9b
- New: spec file for SpiderMonkey PECL extension

